<?php
require_once('../../Connections/odonto_connection1.php');

if(isset($_POST[cod_pre])){
	
	$cod_pre=$_POST[cod_pre];
	$mesa=$_POST[codigo];
	$q = "DELETE FROM pedidos WHERE cod_pre = $cod_pre AND mesa = '$mesa'";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());

}

if(isset($_POST[cod_pre1])){
	
	$cod_pre=$_POST[cod_pre1];
	$recibido=$_POST[recibido];
	$mesa=$_POST[codigo];
	$q = "UPDATE pedidos SET cant = $recibido WHERE cod_pre = $cod_pre AND mesa = '$mesa'";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
}

if(isset($_POST[id_avi])){
	
	$id_avi=$_POST[id_avi];
	$q = "UPDATE avisos SET limpiado = 1,hora_avisado = CURRENT_TIMESTAMP WHERE id_avi = $id_avi";
	$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
}

if(isset($_POST[id_pre])){
	
	$id_pre=$_POST[id_pre];
	$cantidad_elegida=$_POST[cantidad_elegida];
	$codigo=$_POST[codigo_pasar];
	
	$query_rs_todos = "SELECT negocio,sucursal,precio FROM precios WHERE id_pre LIKE $id_pre";
	$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
	$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);

	$negocio=$row_rs_ingreso0['negocio'];
	$sucursal=$row_rs_ingreso0['sucursal'];
	$precio=$row_rs_ingreso0['precio'];

	$query_rs_todos9 = "SELECT cant FROM pedidos WHERE cod_pre LIKE $id_pre AND mesa LIKE '$codigo'";
	$rs_ingreso9 = mysqli_query($odonto_connection,$query_rs_todos9) or die(mysqli_error());
	$row_rs_ingreso9 = mysqli_fetch_assoc($rs_ingreso9);
	$row_cnt9 = mysqli_num_rows($rs_ingreso9);
	
	if($row_cnt9 == 0)
	{
		if(isset($precio) && isset($codigo))
		{
			$query_rs_todos1 = "INSERT INTO pedidos (id_ped,cod_pre,cant,negocio,sucursal,mesa) VALUES (NULL, '$id_pre', '$cantidad_elegida', '$negocio', '$sucursal', '$codigo');";
			$rs_ingreso = mysqli_query($odonto_connection,$query_rs_todos1) or die(mysqli_error());
			
		$q = "UPDATE mesas SET ocup = 1 WHERE codigo LIKE '$codigo'";
		$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");	
		
		}
		//else header("Location:" . "index_precios.php");
	}
	else
		{
		
			$cant = $row_rs_ingreso9['cant'] + $cantidad_elegida;
			$query_rs_todos55 = "UPDATE pedidos SET cant = \"$cant\",nuevo = \"0\" WHERE cod_pre=$id_pre";
			$rs_update = mysqli_query($odonto_connection,$query_rs_todos55) or die(mysql_error());
		}
		//header("Location:" . "index_precios.php");
}


?>